Subject: bug#42162: gforge.inria.fr to be taken off-line in Dec. 2020

From: raingloom <[email-masked]>
Date: Sat, 9 Oct 2021 19:29:36 +0200

On Thu, 07 Oct 2021 18:07:16 +0200
Ludovic Courtès <[email-masked]> wrote:

> Hi!
> 
> zimoun <[email-masked]> skribis:
> 
> > Euh, I do not understand.  From bug#43442 [1] on Wed, 16 Sep 2020,
> > Scotch was not missing.  And from [2] neither.
> >
> > Nah, the hole is the (double) update (from 6.0.6 to 6.1.0 then
> > 6.1.1) without manually taking care of this bug report; by
> > switching from url-fetch to git-fetch for instance.  Somehow, it
> > was bounded to happen because we lack automatic tools despite the
> > fact they are there.
> >
> > Indeed, hard to believe. :-)  
> 
> I guess, in our mind, the problem was fixed long ago.  :-)
> 
> > As I am asking in this thread [3], the Guix project has the
> > ressource, storage speaking, to archive these tarballs -- waiting a
> > robust long-term automatic system.  But we (the Guix projet) cannot
> > because we duplicate the effort on keeping twice all the build
> > outputs.  Somehow, between Berlin and Bordeaux, coherent policies
> > for conservancy are missing. IMHO.  
> 
> So I think we’re lucky that we can try different solutions at once.
> 
> The best solution is the one that won’t rely solely on the Guix
> project: SWH + Disarchive.  We’re getting there!
> 
> The second-best solution is to improve our tooling so we can actually
> keep source code in a more controlled way.  That’s what I had in mind
> with <https://ci.guix.gnu.org/jobset/source>.  We have storage space
> for that on berlin, but it’s not infinite.
> 
> Another approach is to use ‘git-fetch’ more, at least for
> non-Autotools packages (that’s the case for Scotch, for instance.)

Out of curiosity, why only non-autotools?